소스 검색

新建项目-杭州慧牧生产经营管理系统

zhuoning 3 년 전
부모
커밋
e8eee0a5e1

+ 33 - 0
huimv-manage/.gitignore

@@ -0,0 +1,33 @@
+HELP.md
+target/
+!.mvn/wrapper/maven-wrapper.jar
+!**/src/main/**/target/
+!**/src/test/**/target/
+
+### STS ###
+.apt_generated
+.classpath
+.factorypath
+.project
+.settings
+.springBeans
+.sts4-cache
+
+### IntelliJ IDEA ###
+.idea
+*.iws
+*.iml
+*.ipr
+
+### NetBeans ###
+/nbproject/private/
+/nbbuild/
+/dist/
+/nbdist/
+/.nb-gradle/
+build/
+!**/src/main/**/build/
+!**/src/test/**/build/
+
+### VS Code ###
+.vscode/

+ 118 - 0
huimv-manage/.mvn/wrapper/MavenWrapperDownloader.java

@@ -0,0 +1,118 @@
+/*
+ * Copyright 2007-present the original author or authors.
+ *
+ * Licensed under the Apache License, Version 2.0 (the "License");
+ * you may not use this file except in compliance with the License.
+ * You may obtain a copy of the License at
+ *
+ *      https://www.apache.org/licenses/LICENSE-2.0
+ *
+ * Unless required by applicable law or agreed to in writing, software
+ * distributed under the License is distributed on an "AS IS" BASIS,
+ * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+ * See the License for the specific language governing permissions and
+ * limitations under the License.
+ */
+
+import java.net.*;
+import java.io.*;
+import java.nio.channels.*;
+import java.util.Properties;
+
+public class MavenWrapperDownloader {
+
+    private static final String WRAPPER_VERSION = "0.5.6";
+    /**
+     * Default URL to download the maven-wrapper.jar from, if no 'downloadUrl' is provided.
+     */
+    private static final String DEFAULT_DOWNLOAD_URL = "https://repo.maven.apache.org/maven2/io/takari/maven-wrapper/"
+            + WRAPPER_VERSION + "/maven-wrapper-" + WRAPPER_VERSION + ".jar";
+
+    /**
+     * Path to the maven-wrapper.properties file, which might contain a downloadUrl property to
+     * use instead of the default one.
+     */
+    private static final String MAVEN_WRAPPER_PROPERTIES_PATH =
+            ".mvn/wrapper/maven-wrapper.properties";
+
+    /**
+     * Path where the maven-wrapper.jar will be saved to.
+     */
+    private static final String MAVEN_WRAPPER_JAR_PATH =
+            ".mvn/wrapper/maven-wrapper.jar";
+
+    /**
+     * Name of the property which should be used to override the default download url for the wrapper.
+     */
+    private static final String PROPERTY_NAME_WRAPPER_URL = "wrapperUrl";
+
+    public static void main(String args[]) {
+        System.out.println("- Downloader started");
+        File baseDirectory = new File(args[0]);
+        System.out.println("- Using base directory: " + baseDirectory.getAbsolutePath());
+
+        // If the maven-wrapper.properties exists, read it and check if it contains a custom
+        // wrapperUrl parameter.
+        File mavenWrapperPropertyFile = new File(baseDirectory, MAVEN_WRAPPER_PROPERTIES_PATH);
+        String url = DEFAULT_DOWNLOAD_URL;
+        if (mavenWrapperPropertyFile.exists()) {
+            FileInputStream mavenWrapperPropertyFileInputStream = null;
+            try {
+                mavenWrapperPropertyFileInputStream = new FileInputStream(mavenWrapperPropertyFile);
+                Properties mavenWrapperProperties = new Properties();
+                mavenWrapperProperties.load(mavenWrapperPropertyFileInputStream);
+                url = mavenWrapperProperties.getProperty(PROPERTY_NAME_WRAPPER_URL, url);
+            } catch (IOException e) {
+                System.out.println("- ERROR loading '" + MAVEN_WRAPPER_PROPERTIES_PATH + "'");
+            } finally {
+                try {
+                    if (mavenWrapperPropertyFileInputStream != null) {
+                        mavenWrapperPropertyFileInputStream.close();
+                    }
+                } catch (IOException e) {
+                    // Ignore ...
+                }
+            }
+        }
+        System.out.println("- Downloading from: " + url);
+
+        File outputFile = new File(baseDirectory.getAbsolutePath(), MAVEN_WRAPPER_JAR_PATH);
+        if (!outputFile.getParentFile().exists()) {
+            if (!outputFile.getParentFile().mkdirs()) {
+                System.out.println(
+                        "- ERROR creating output directory '" + outputFile.getParentFile().getAbsolutePath() + "'");
+            }
+        }
+        System.out.println("- Downloading to: " + outputFile.getAbsolutePath());
+        try {
+            downloadFileFromURL(url, outputFile);
+            System.out.println("Done");
+            System.exit(0);
+        } catch (Throwable e) {
+            System.out.println("- Error downloading");
+            e.printStackTrace();
+            System.exit(1);
+        }
+    }
+
+    private static void downloadFileFromURL(String urlString, File destination) throws Exception {
+        if (System.getenv("MVNW_USERNAME") != null && System.getenv("MVNW_PASSWORD") != null) {
+            String username = System.getenv("MVNW_USERNAME");
+            char[] password = System.getenv("MVNW_PASSWORD").toCharArray();
+            Authenticator.setDefault(new Authenticator() {
+                @Override
+                protected PasswordAuthentication getPasswordAuthentication() {
+                    return new PasswordAuthentication(username, password);
+                }
+            });
+        }
+        URL website = new URL(urlString);
+        ReadableByteChannel rbc;
+        rbc = Channels.newChannel(website.openStream());
+        FileOutputStream fos = new FileOutputStream(destination);
+        fos.getChannel().transferFrom(rbc, 0, Long.MAX_VALUE);
+        fos.close();
+        rbc.close();
+    }
+
+}

BIN
huimv-manage/.mvn/wrapper/maven-wrapper.jar


+ 2 - 0
huimv-manage/.mvn/wrapper/maven-wrapper.properties

@@ -0,0 +1,2 @@
+distributionUrl=https://repo.maven.apache.org/maven2/org/apache/maven/apache-maven/3.8.3/apache-maven-3.8.3-bin.zip
+wrapperUrl=https://repo.maven.apache.org/maven2/io/takari/maven-wrapper/0.5.6/maven-wrapper-0.5.6.jar

+ 322 - 0
huimv-manage/mvnw

@@ -0,0 +1,322 @@
+#!/bin/sh
+# ----------------------------------------------------------------------------
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+#    https://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+# ----------------------------------------------------------------------------
+
+# ----------------------------------------------------------------------------
+# Maven Start Up Batch script
+#
+# Required ENV vars:
+# ------------------
+#   JAVA_HOME - location of a JDK home dir
+#
+# Optional ENV vars
+# -----------------
+#   M2_HOME - location of maven2's installed home dir
+#   MAVEN_OPTS - parameters passed to the Java VM when running Maven
+#     e.g. to debug Maven itself, use
+#       set MAVEN_OPTS=-Xdebug -Xrunjdwp:transport=dt_socket,server=y,suspend=y,address=8000
+#   MAVEN_SKIP_RC - flag to disable loading of mavenrc files
+# ----------------------------------------------------------------------------
+
+if [ -z "$MAVEN_SKIP_RC" ]; then
+
+  if [ -f /etc/mavenrc ]; then
+    . /etc/mavenrc
+  fi
+
+  if [ -f "$HOME/.mavenrc" ]; then
+    . "$HOME/.mavenrc"
+  fi
+
+fi
+
+# OS specific support.  $var _must_ be set to either true or false.
+cygwin=false
+darwin=false
+mingw=false
+case "$(uname)" in
+CYGWIN*) cygwin=true ;;
+MINGW*) mingw=true ;;
+Darwin*)
+  darwin=true
+  # Use /usr/libexec/java_home if available, otherwise fall back to /Library/Java/Home
+  # See https://developer.apple.com/library/mac/qa/qa1170/_index.html
+  if [ -z "$JAVA_HOME" ]; then
+    if [ -x "/usr/libexec/java_home" ]; then
+      export JAVA_HOME="$(/usr/libexec/java_home)"
+    else
+      export JAVA_HOME="/Library/Java/Home"
+    fi
+  fi
+  ;;
+esac
+
+if [ -z "$JAVA_HOME" ]; then
+  if [ -r /etc/gentoo-release ]; then
+    JAVA_HOME=$(java-config --jre-home)
+  fi
+fi
+
+if [ -z "$M2_HOME" ]; then
+  ## resolve links - $0 may be a link to maven's home
+  PRG="$0"
+
+  # need this for relative symlinks
+  while [ -h "$PRG" ]; do
+    ls=$(ls -ld "$PRG")
+    link=$(expr "$ls" : '.*-> \(.*\)$')
+    if expr "$link" : '/.*' >/dev/null; then
+      PRG="$link"
+    else
+      PRG="$(dirname "$PRG")/$link"
+    fi
+  done
+
+  saveddir=$(pwd)
+
+  M2_HOME=$(dirname "$PRG")/..
+
+  # make it fully qualified
+  M2_HOME=$(cd "$M2_HOME" && pwd)
+
+  cd "$saveddir"
+  # echo Using m2 at $M2_HOME
+fi
+
+# For Cygwin, ensure paths are in UNIX format before anything is touched
+if $cygwin; then
+  [ -n "$M2_HOME" ] &&
+    M2_HOME=$(cygpath --unix "$M2_HOME")
+  [ -n "$JAVA_HOME" ] &&
+    JAVA_HOME=$(cygpath --unix "$JAVA_HOME")
+  [ -n "$CLASSPATH" ] &&
+    CLASSPATH=$(cygpath --path --unix "$CLASSPATH")
+fi
+
+# For Mingw, ensure paths are in UNIX format before anything is touched
+if $mingw; then
+  [ -n "$M2_HOME" ] &&
+    M2_HOME="$( (
+      cd "$M2_HOME"
+      pwd
+    ))"
+  [ -n "$JAVA_HOME" ] &&
+    JAVA_HOME="$( (
+      cd "$JAVA_HOME"
+      pwd
+    ))"
+fi
+
+if [ -z "$JAVA_HOME" ]; then
+  javaExecutable="$(which javac)"
+  if [ -n "$javaExecutable" ] && ! [ "$(expr \"$javaExecutable\" : '\([^ ]*\)')" = "no" ]; then
+    # readlink(1) is not available as standard on Solaris 10.
+    readLink=$(which readlink)
+    if [ ! $(expr "$readLink" : '\([^ ]*\)') = "no" ]; then
+      if $darwin; then
+        javaHome="$(dirname \"$javaExecutable\")"
+        javaExecutable="$(cd \"$javaHome\" && pwd -P)/javac"
+      else
+        javaExecutable="$(readlink -f \"$javaExecutable\")"
+      fi
+      javaHome="$(dirname \"$javaExecutable\")"
+      javaHome=$(expr "$javaHome" : '\(.*\)/bin')
+      JAVA_HOME="$javaHome"
+      export JAVA_HOME
+    fi
+  fi
+fi
+
+if [ -z "$JAVACMD" ]; then
+  if [ -n "$JAVA_HOME" ]; then
+    if [ -x "$JAVA_HOME/jre/sh/java" ]; then
+      # IBM's JDK on AIX uses strange locations for the executables
+      JAVACMD="$JAVA_HOME/jre/sh/java"
+    else
+      JAVACMD="$JAVA_HOME/bin/java"
+    fi
+  else
+    JAVACMD="$(which java)"
+  fi
+fi
+
+if [ ! -x "$JAVACMD" ]; then
+  echo "Error: JAVA_HOME is not defined correctly." >&2
+  echo "  We cannot execute $JAVACMD" >&2
+  exit 1
+fi
+
+if [ -z "$JAVA_HOME" ]; then
+  echo "Warning: JAVA_HOME environment variable is not set."
+fi
+
+CLASSWORLDS_LAUNCHER=org.codehaus.plexus.classworlds.launcher.Launcher
+
+# traverses directory structure from process work directory to filesystem root
+# first directory with .mvn subdirectory is considered project base directory
+find_maven_basedir() {
+
+  if [ -z "$1" ]; then
+    echo "Path not specified to find_maven_basedir"
+    return 1
+  fi
+
+  basedir="$1"
+  wdir="$1"
+  while [ "$wdir" != '/' ]; do
+    if [ -d "$wdir"/.mvn ]; then
+      basedir=$wdir
+      break
+    fi
+    # workaround for JBEAP-8937 (on Solaris 10/Sparc)
+    if [ -d "${wdir}" ]; then
+      wdir=$(
+        cd "$wdir/.."
+        pwd
+      )
+    fi
+    # end of workaround
+  done
+  echo "${basedir}"
+}
+
+# concatenates all lines of a file
+concat_lines() {
+  if [ -f "$1" ]; then
+    echo "$(tr -s '\n' ' ' <"$1")"
+  fi
+}
+
+BASE_DIR=$(find_maven_basedir "$(pwd)")
+if [ -z "$BASE_DIR" ]; then
+  exit 1
+fi
+
+##########################################################################################
+# Extension to allow automatically downloading the maven-wrapper.jar from Maven-central
+# This allows using the maven wrapper in projects that prohibit checking in binary data.
+##########################################################################################
+if [ -r "$BASE_DIR/.mvn/wrapper/maven-wrapper.jar" ]; then
+  if [ "$MVNW_VERBOSE" = true ]; then
+    echo "Found .mvn/wrapper/maven-wrapper.jar"
+  fi
+else
+  if [ "$MVNW_VERBOSE" = true ]; then
+    echo "Couldn't find .mvn/wrapper/maven-wrapper.jar, downloading it ..."
+  fi
+  if [ -n "$MVNW_REPOURL" ]; then
+    jarUrl="$MVNW_REPOURL/io/takari/maven-wrapper/0.5.6/maven-wrapper-0.5.6.jar"
+  else
+    jarUrl="https://repo.maven.apache.org/maven2/io/takari/maven-wrapper/0.5.6/maven-wrapper-0.5.6.jar"
+  fi
+  while IFS="=" read key value; do
+    case "$key" in wrapperUrl)
+      jarUrl="$value"
+      break
+      ;;
+    esac
+  done <"$BASE_DIR/.mvn/wrapper/maven-wrapper.properties"
+  if [ "$MVNW_VERBOSE" = true ]; then
+    echo "Downloading from: $jarUrl"
+  fi
+  wrapperJarPath="$BASE_DIR/.mvn/wrapper/maven-wrapper.jar"
+  if $cygwin; then
+    wrapperJarPath=$(cygpath --path --windows "$wrapperJarPath")
+  fi
+
+  if command -v wget >/dev/null; then
+    if [ "$MVNW_VERBOSE" = true ]; then
+      echo "Found wget ... using wget"
+    fi
+    if [ -z "$MVNW_USERNAME" ] || [ -z "$MVNW_PASSWORD" ]; then
+      wget "$jarUrl" -O "$wrapperJarPath"
+    else
+      wget --http-user=$MVNW_USERNAME --http-password=$MVNW_PASSWORD "$jarUrl" -O "$wrapperJarPath"
+    fi
+  elif command -v curl >/dev/null; then
+    if [ "$MVNW_VERBOSE" = true ]; then
+      echo "Found curl ... using curl"
+    fi
+    if [ -z "$MVNW_USERNAME" ] || [ -z "$MVNW_PASSWORD" ]; then
+      curl -o "$wrapperJarPath" "$jarUrl" -f
+    else
+      curl --user $MVNW_USERNAME:$MVNW_PASSWORD -o "$wrapperJarPath" "$jarUrl" -f
+    fi
+
+  else
+    if [ "$MVNW_VERBOSE" = true ]; then
+      echo "Falling back to using Java to download"
+    fi
+    javaClass="$BASE_DIR/.mvn/wrapper/MavenWrapperDownloader.java"
+    # For Cygwin, switch paths to Windows format before running javac
+    if $cygwin; then
+      javaClass=$(cygpath --path --windows "$javaClass")
+    fi
+    if [ -e "$javaClass" ]; then
+      if [ ! -e "$BASE_DIR/.mvn/wrapper/MavenWrapperDownloader.class" ]; then
+        if [ "$MVNW_VERBOSE" = true ]; then
+          echo " - Compiling MavenWrapperDownloader.java ..."
+        fi
+        # Compiling the Java class
+        ("$JAVA_HOME/bin/javac" "$javaClass")
+      fi
+      if [ -e "$BASE_DIR/.mvn/wrapper/MavenWrapperDownloader.class" ]; then
+        # Running the downloader
+        if [ "$MVNW_VERBOSE" = true ]; then
+          echo " - Running MavenWrapperDownloader.java ..."
+        fi
+        ("$JAVA_HOME/bin/java" -cp .mvn/wrapper MavenWrapperDownloader "$MAVEN_PROJECTBASEDIR")
+      fi
+    fi
+  fi
+fi
+##########################################################################################
+# End of extension
+##########################################################################################
+
+export MAVEN_PROJECTBASEDIR=${MAVEN_BASEDIR:-"$BASE_DIR"}
+if [ "$MVNW_VERBOSE" = true ]; then
+  echo $MAVEN_PROJECTBASEDIR
+fi
+MAVEN_OPTS="$(concat_lines "$MAVEN_PROJECTBASEDIR/.mvn/jvm.config") $MAVEN_OPTS"
+
+# For Cygwin, switch paths to Windows format before running java
+if $cygwin; then
+  [ -n "$M2_HOME" ] &&
+    M2_HOME=$(cygpath --path --windows "$M2_HOME")
+  [ -n "$JAVA_HOME" ] &&
+    JAVA_HOME=$(cygpath --path --windows "$JAVA_HOME")
+  [ -n "$CLASSPATH" ] &&
+    CLASSPATH=$(cygpath --path --windows "$CLASSPATH")
+  [ -n "$MAVEN_PROJECTBASEDIR" ] &&
+    MAVEN_PROJECTBASEDIR=$(cygpath --path --windows "$MAVEN_PROJECTBASEDIR")
+fi
+
+# Provide a "standardized" way to retrieve the CLI args that will
+# work with both Windows and non-Windows executions.
+MAVEN_CMD_LINE_ARGS="$MAVEN_CONFIG $@"
+export MAVEN_CMD_LINE_ARGS
+
+WRAPPER_LAUNCHER=org.apache.maven.wrapper.MavenWrapperMain
+
+exec "$JAVACMD" \
+  $MAVEN_OPTS \
+  -classpath "$MAVEN_PROJECTBASEDIR/.mvn/wrapper/maven-wrapper.jar" \
+  "-Dmaven.home=${M2_HOME}" "-Dmaven.multiModuleProjectDirectory=${MAVEN_PROJECTBASEDIR}" \
+  ${WRAPPER_LAUNCHER} $MAVEN_CONFIG "$@"

+ 182 - 0
huimv-manage/mvnw.cmd

@@ -0,0 +1,182 @@
+@REM ----------------------------------------------------------------------------
+@REM Licensed to the Apache Software Foundation (ASF) under one
+@REM or more contributor license agreements.  See the NOTICE file
+@REM distributed with this work for additional information
+@REM regarding copyright ownership.  The ASF licenses this file
+@REM to you under the Apache License, Version 2.0 (the
+@REM "License"); you may not use this file except in compliance
+@REM with the License.  You may obtain a copy of the License at
+@REM
+@REM    https://www.apache.org/licenses/LICENSE-2.0
+@REM
+@REM Unless required by applicable law or agreed to in writing,
+@REM software distributed under the License is distributed on an
+@REM "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+@REM KIND, either express or implied.  See the License for the
+@REM specific language governing permissions and limitations
+@REM under the License.
+@REM ----------------------------------------------------------------------------
+
+@REM ----------------------------------------------------------------------------
+@REM Maven Start Up Batch script
+@REM
+@REM Required ENV vars:
+@REM JAVA_HOME - location of a JDK home dir
+@REM
+@REM Optional ENV vars
+@REM M2_HOME - location of maven2's installed home dir
+@REM MAVEN_BATCH_ECHO - set to 'on' to enable the echoing of the batch commands
+@REM MAVEN_BATCH_PAUSE - set to 'on' to wait for a keystroke before ending
+@REM MAVEN_OPTS - parameters passed to the Java VM when running Maven
+@REM     e.g. to debug Maven itself, use
+@REM set MAVEN_OPTS=-Xdebug -Xrunjdwp:transport=dt_socket,server=y,suspend=y,address=8000
+@REM MAVEN_SKIP_RC - flag to disable loading of mavenrc files
+@REM ----------------------------------------------------------------------------
+
+@REM Begin all REM lines with '@' in case MAVEN_BATCH_ECHO is 'on'
+@echo off
+@REM set title of command window
+title %0
+@REM enable echoing by setting MAVEN_BATCH_ECHO to 'on'
+@if "%MAVEN_BATCH_ECHO%" == "on"  echo %MAVEN_BATCH_ECHO%
+
+@REM set %HOME% to equivalent of $HOME
+if "%HOME%" == "" (set "HOME=%HOMEDRIVE%%HOMEPATH%")
+
+@REM Execute a user defined script before this one
+if not "%MAVEN_SKIP_RC%" == "" goto skipRcPre
+@REM check for pre script, once with legacy .bat ending and once with .cmd ending
+if exist "%HOME%\mavenrc_pre.bat" call "%HOME%\mavenrc_pre.bat"
+if exist "%HOME%\mavenrc_pre.cmd" call "%HOME%\mavenrc_pre.cmd"
+:skipRcPre
+
+@setlocal
+
+set ERROR_CODE=0
+
+@REM To isolate internal variables from possible post scripts, we use another setlocal
+@setlocal
+
+@REM ==== START VALIDATION ====
+if not "%JAVA_HOME%" == "" goto OkJHome
+
+echo.
+echo Error: JAVA_HOME not found in your environment. >&2
+echo Please set the JAVA_HOME variable in your environment to match the >&2
+echo location of your Java installation. >&2
+echo.
+goto error
+
+:OkJHome
+if exist "%JAVA_HOME%\bin\java.exe" goto init
+
+echo.
+echo Error: JAVA_HOME is set to an invalid directory. >&2
+echo JAVA_HOME = "%JAVA_HOME%" >&2
+echo Please set the JAVA_HOME variable in your environment to match the >&2
+echo location of your Java installation. >&2
+echo.
+goto error
+
+@REM ==== END VALIDATION ====
+
+:init
+
+@REM Find the project base dir, i.e. the directory that contains the folder ".mvn".
+@REM Fallback to current working directory if not found.
+
+set MAVEN_PROJECTBASEDIR=%MAVEN_BASEDIR%
+IF NOT "%MAVEN_PROJECTBASEDIR%"=="" goto endDetectBaseDir
+
+set EXEC_DIR=%CD%
+set WDIR=%EXEC_DIR%
+:findBaseDir
+IF EXIST "%WDIR%"\.mvn goto baseDirFound
+cd ..
+IF "%WDIR%"=="%CD%" goto baseDirNotFound
+set WDIR=%CD%
+goto findBaseDir
+
+:baseDirFound
+set MAVEN_PROJECTBASEDIR=%WDIR%
+cd "%EXEC_DIR%"
+goto endDetectBaseDir
+
+:baseDirNotFound
+set MAVEN_PROJECTBASEDIR=%EXEC_DIR%
+cd "%EXEC_DIR%"
+
+:endDetectBaseDir
+
+IF NOT EXIST "%MAVEN_PROJECTBASEDIR%\.mvn\jvm.config" goto endReadAdditionalConfig
+
+@setlocal EnableExtensions EnableDelayedExpansion
+for /F "usebackq delims=" %%a in ("%MAVEN_PROJECTBASEDIR%\.mvn\jvm.config") do set JVM_CONFIG_MAVEN_PROPS=!JVM_CONFIG_MAVEN_PROPS! %%a
+@endlocal & set JVM_CONFIG_MAVEN_PROPS=%JVM_CONFIG_MAVEN_PROPS%
+
+:endReadAdditionalConfig
+
+SET MAVEN_JAVA_EXE="%JAVA_HOME%\bin\java.exe"
+set WRAPPER_JAR="%MAVEN_PROJECTBASEDIR%\.mvn\wrapper\maven-wrapper.jar"
+set WRAPPER_LAUNCHER=org.apache.maven.wrapper.MavenWrapperMain
+
+set DOWNLOAD_URL="https://repo.maven.apache.org/maven2/io/takari/maven-wrapper/0.5.6/maven-wrapper-0.5.6.jar"
+
+FOR /F "tokens=1,2 delims==" %%A IN ("%MAVEN_PROJECTBASEDIR%\.mvn\wrapper\maven-wrapper.properties") DO (
+    IF "%%A"=="wrapperUrl" SET DOWNLOAD_URL=%%B
+)
+
+@REM Extension to allow automatically downloading the maven-wrapper.jar from Maven-central
+@REM This allows using the maven wrapper in projects that prohibit checking in binary data.
+if exist %WRAPPER_JAR% (
+    if "%MVNW_VERBOSE%" == "true" (
+        echo Found %WRAPPER_JAR%
+    )
+) else (
+    if not "%MVNW_REPOURL%" == "" (
+        SET DOWNLOAD_URL="%MVNW_REPOURL%/io/takari/maven-wrapper/0.5.6/maven-wrapper-0.5.6.jar"
+    )
+    if "%MVNW_VERBOSE%" == "true" (
+        echo Couldn't find %WRAPPER_JAR%, downloading it ...
+        echo Downloading from: %DOWNLOAD_URL%
+    )
+
+    powershell -Command "&{"^
+		"$webclient = new-object System.Net.WebClient;"^
+		"if (-not ([string]::IsNullOrEmpty('%MVNW_USERNAME%') -and [string]::IsNullOrEmpty('%MVNW_PASSWORD%'))) {"^
+		"$webclient.Credentials = new-object System.Net.NetworkCredential('%MVNW_USERNAME%', '%MVNW_PASSWORD%');"^
+		"}"^
+		"[Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; $webclient.DownloadFile('%DOWNLOAD_URL%', '%WRAPPER_JAR%')"^
+		"}"
+    if "%MVNW_VERBOSE%" == "true" (
+        echo Finished downloading %WRAPPER_JAR%
+    )
+)
+@REM End of extension
+
+@REM Provide a "standardized" way to retrieve the CLI args that will
+@REM work with both Windows and non-Windows executions.
+set MAVEN_CMD_LINE_ARGS=%*
+
+%MAVEN_JAVA_EXE% %JVM_CONFIG_MAVEN_PROPS% %MAVEN_OPTS% %MAVEN_DEBUG_OPTS% -classpath %WRAPPER_JAR% "-Dmaven.multiModuleProjectDirectory=%MAVEN_PROJECTBASEDIR%" %WRAPPER_LAUNCHER% %MAVEN_CONFIG% %*
+if ERRORLEVEL 1 goto error
+goto end
+
+:error
+set ERROR_CODE=1
+
+:end
+@endlocal & set ERROR_CODE=%ERROR_CODE%
+
+if not "%MAVEN_SKIP_RC%" == "" goto skipRcPost
+@REM check for post script, once with legacy .bat ending and once with .cmd ending
+if exist "%HOME%\mavenrc_post.bat" call "%HOME%\mavenrc_post.bat"
+if exist "%HOME%\mavenrc_post.cmd" call "%HOME%\mavenrc_post.cmd"
+:skipRcPost
+
+@REM pause the script if MAVEN_BATCH_PAUSE is set to 'on'
+if "%MAVEN_BATCH_PAUSE%" == "on" pause
+
+if "%MAVEN_TERMINATE_CMD%" == "on" exit %ERROR_CODE%
+
+exit /B %ERROR_CODE%

+ 162 - 0
huimv-manage/pom.xml

@@ -0,0 +1,162 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
+    <modelVersion>4.0.0</modelVersion>
+    <parent>
+        <groupId>org.springframework.boot</groupId>
+        <artifactId>spring-boot-starter-parent</artifactId>
+        <version>2.5.6</version>
+        <relativePath/> <!-- lookup parent from repository -->
+    </parent>
+    <groupId>com.huimv</groupId>
+    <artifactId>huimv-manage</artifactId>
+    <version>0.0.1-SNAPSHOT</version>
+    <name>huimv-manage</name>
+    <description>Demo project for Spring Boot</description>
+    <properties>
+        <java.version>1.8</java.version>
+    </properties>
+    <dependencies>
+        <dependency>
+            <groupId>org.springframework.boot</groupId>
+            <artifactId>spring-boot-starter-web</artifactId>
+        </dependency>
+
+        <dependency>
+            <groupId>org.springframework.boot</groupId>
+            <artifactId>spring-boot-starter-test</artifactId>
+            <scope>test</scope>
+        </dependency>
+
+        <!--  -->
+        <dependency>
+            <groupId>javax.activation</groupId>
+            <artifactId>activation</artifactId>
+            <version>1.1.1</version>
+        </dependency>
+        <dependency>
+            <groupId>org.apache.axis</groupId>
+            <artifactId>axis</artifactId>
+            <version>1.4</version>
+        </dependency>
+        <dependency>
+            <groupId>axis</groupId>
+            <artifactId>axis-jaxrpc</artifactId>
+            <version>1.4</version>
+        </dependency>
+        <dependency>
+            <groupId>commons-discovery</groupId>
+            <artifactId>commons-discovery</artifactId>
+            <version>0.5</version>
+        </dependency>
+        <dependency>
+            <groupId>wsdl4j</groupId>
+            <artifactId>wsdl4j</artifactId>
+            <version>1.6.3</version>
+        </dependency>
+        <!-- jsonObject的jar包 -->
+        <dependency>
+            <groupId>commons-beanutils</groupId>
+            <artifactId>commons-beanutils</artifactId>
+            <version>1.9.3</version>
+        </dependency>
+        <!-- org.json.JSONObject需要的jar包-->
+        <!--        <dependency>-->
+        <!--            <groupId>org.json</groupId>-->
+        <!--            <artifactId>json</artifactId>-->
+        <!--            <version>20190722</version>-->
+        <!--        </dependency>-->
+        <dependency>
+            <groupId>commons-io</groupId>
+            <artifactId>commons-io</artifactId>
+            <version>2.4</version>
+        </dependency>
+
+        <!-- https://mvnrepository.com/artifact/commons-httpclient/commons-httpclient -->
+        <dependency>
+            <groupId>commons-httpclient</groupId>
+            <artifactId>commons-httpclient</artifactId>
+            <version>3.1</version>
+        </dependency>
+
+        <!-- https://mvnrepository.com/artifact/javax.mail/mail -->
+        <dependency>
+            <groupId>javax.mail</groupId>
+            <artifactId>mail</artifactId>
+            <version>1.4.7</version>
+        </dependency>
+
+
+        <dependency>
+            <groupId>commons-httpclient</groupId>
+            <artifactId>commons-httpclient</artifactId>
+            <version>3.1</version>
+        </dependency>
+
+
+        <dependency>
+            <groupId>org.apache.ws.commons.axiom</groupId>
+            <artifactId>axiom-api</artifactId>
+            <version>1.2.4</version>
+        </dependency>
+        <dependency>
+            <groupId>org.apache.ws.commons.axiom</groupId>
+            <artifactId>axiom-impl</artifactId>
+            <version>1.2.4</version>
+        </dependency>
+        <dependency>
+            <groupId>wsdl4j</groupId>
+            <artifactId>wsdl4j</artifactId>
+            <version>1.6.3</version>
+        </dependency>
+        <dependency>
+            <groupId>org.apache.ws.xmlschema</groupId>
+            <artifactId>xmlschema-core</artifactId>
+            <version>2.2.1</version>
+        </dependency>
+        <dependency>
+            <groupId>org.apache.httpcomponents</groupId>
+            <artifactId>httpclient</artifactId>
+            <version>4.5</version>
+        </dependency>
+        <dependency>
+            <groupId>org.apache.httpcomponents</groupId>
+            <artifactId>httpcore</artifactId>
+            <version>4.4.1</version>
+        </dependency>
+        <dependency>
+            <groupId>org.apache.httpcomponents</groupId>
+            <artifactId>httpcore</artifactId>
+            <version>4.4.1</version>
+        </dependency>
+        <dependency>
+            <groupId>commons-httpclient</groupId>
+            <artifactId>commons-httpclient</artifactId>
+            <version>3.1</version>
+        </dependency>
+
+        <!--解析xml报文-->
+        <dependency>
+            <groupId>dom4j</groupId>
+            <artifactId>dom4j</artifactId>
+            <version>1.6.1</version>
+        </dependency>
+
+
+        <dependency>
+            <groupId>com.alibaba</groupId>
+            <artifactId>fastjson</artifactId>
+            <version>1.2.73</version>
+        </dependency>
+    </dependencies>
+
+    <build>
+        <plugins>
+            <plugin>
+                <groupId>org.springframework.boot</groupId>
+                <artifactId>spring-boot-maven-plugin</artifactId>
+            </plugin>
+        </plugins>
+    </build>
+
+</project>

+ 13 - 0
huimv-manage/src/main/java/com/huimv/manage/ManageApplication.java

@@ -0,0 +1,13 @@
+package com.huimv.manage;
+
+import org.springframework.boot.SpringApplication;
+import org.springframework.boot.autoconfigure.SpringBootApplication;
+
+@SpringBootApplication
+public class ManageApplication {
+
+    public static void main(String[] args) {
+        SpringApplication.run(ManageApplication.class, args);
+    }
+
+}

+ 23 - 0
huimv-manage/src/main/java/com/huimv/manage/controller/EarmarkController.java

@@ -0,0 +1,23 @@
+package com.huimv.manage.controller;
+
+import org.springframework.web.bind.annotation.RequestMapping;
+import org.springframework.web.bind.annotation.RequestMethod;
+import org.springframework.web.bind.annotation.RestController;
+
+/**
+ * @Project : huimv.shiwan
+ * @Package : com.huimv.biosafety.uface.controller
+ * @Description : TODO
+ * @Version : 1.0
+ * @Author : ZhuoNing
+ * @Create : 2020-12-25
+ **/
+@RestController
+@RequestMapping(value = "/earmark")
+public class EarmarkController {
+
+    @RequestMapping(value = "/getEarmark",method = RequestMethod.GET)
+    public void getEarmark(){
+
+    }
+}

+ 12 - 0
huimv-manage/src/main/java/com/huimv/manage/controller/PackageController.java

@@ -0,0 +1,12 @@
+package com.huimv.manage.controller;
+
+/**
+ * @Project : huimv.shiwan
+ * @Package : com.huimv.biosafety.uface.controller
+ * @Description : TODO
+ * @Version : 1.0
+ * @Author : ZhuoNing
+ * @Create : 2020-12-25
+ **/
+public class PackageController {
+}

+ 51 - 0
huimv-manage/src/main/java/com/huimv/manage/controller/TaskController.java

@@ -0,0 +1,51 @@
+package com.huimv.manage.controller;
+
+import org.springframework.web.bind.annotation.RequestMapping;
+import org.springframework.web.bind.annotation.RequestMethod;
+import org.springframework.web.bind.annotation.RestController;
+
+/**
+ * @Project : huimv.shiwan
+ * @Package : com.huimv.biosafety.uface.controller
+ * @Description : TODO
+ * @Version : 1.0
+ * @Author : ZhuoNing
+ * @Create : 2020-12-25
+ **/
+@RestController
+@RequestMapping(value = "/task")
+public class TaskController {
+
+    /**
+     * @Method      : listTask
+     * @Description : 
+     * @Params      : []
+     * @Return      : java.lang.String
+     * 
+     * @Author      : ZhuoNing
+     * @Date        : 2021/10/27       
+     * @Time        : 20:28
+     */
+    @RequestMapping(value = "listTask",method = RequestMethod.GET)
+    public String listTask(){
+
+        return "";
+    }
+
+    /**
+     * @Method      : getNewTask
+     * @Description : 
+     * @Params      : []
+     * @Return      : java.lang.String
+     * 
+     * @Author      : ZhuoNing
+     * @Date        : 2021/10/27       
+     * @Time        : 20:29
+     */
+    @RequestMapping(value = "getNewTask",method = RequestMethod.GET)
+    public String getNewTask(){
+        return "";
+    }
+
+
+}

+ 411 - 0
huimv-manage/src/main/java/com/huimv/manage/util/Soap2.java

@@ -0,0 +1,411 @@
+package com.huimv.manage.util;
+
+import com.alibaba.fastjson.JSONArray;
+import com.alibaba.fastjson.JSONObject;
+import org.apache.commons.httpclient.HttpClient;
+import org.apache.commons.httpclient.methods.InputStreamRequestEntity;
+import org.apache.commons.httpclient.methods.PostMethod;
+import org.apache.commons.httpclient.methods.RequestEntity;
+import org.apache.commons.httpclient.params.HttpConnectionParams;
+import org.dom4j.Document;
+import org.dom4j.DocumentException;
+import org.dom4j.DocumentHelper;
+import org.dom4j.Element;
+
+import java.io.*;
+import java.util.Iterator;
+
+/**
+ * @Project : huimv.shiwan
+ * @Package : com.huimv.biosafety.uface.controller
+ * @Description : TODO
+ * @Version : 1.0
+ * @Author : ZhuoNing
+ * @Create : 2020-12-25
+ **/
+public class Soap2 {
+    private final static String url = "http://atap.cadc.net.cn:19090/EarMarkManage/WebService2/ProduceMissionService.asmx?wsdl";
+
+
+
+    public static void main(String[] args) throws Exception {
+        Soap2 soap2 = new Soap2();
+
+        // HelloWorld ok
+        String HelloWorldText = "<soap:Envelope xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" xmlns:xsd=\"http://www.w3.org/2001/XMLSchema\" xmlns:soap=\"http://schemas.xmlsoap.org/soap/envelope/\">\n" +
+                "  <soap:Body>\n" +
+                "    <HelloWorld xmlns=\"http://tempuri.org/\" />\n" +
+                "  </soap:Body>\n" +
+                "</soap:Envelope>";
+//        callSoap(HelloWorldText);
+
+        // 获取厂商编码
+//        String GetProducerCodeByIDText = "<soap:Envelope xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" xmlns:xsd=\"http://www.w3.org/2001/XMLSchema\" xmlns:soap=\"http://schemas.xmlsoap.org/soap/envelope/\">\n" +
+//                "  <soap:Body>\n" +
+//                "    <GetProducerCodeByID xmlns=\"http://tempuri.org/\">\n" +
+//                "      <producerID>161374</producerID>\n" +
+//                "    </GetProducerCodeByID>\n" +
+//                "  </soap:Body>\n" +
+//                "</soap:Envelope>";
+//        callSoap(GetProducerCodeByIDText);
+
+        // 获取任务号 GetNewProduceMission ok
+        String GetNewProduceMissionText = "<soap:Envelope xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" xmlns:xsd=\"http://www.w3.org/2001/XMLSchema\" xmlns:soap=\"http://schemas.xmlsoap.org/soap/envelope/\">\n" +
+                "  <soap:Body>\n" +
+                "    <GetNewProduceMission xmlns=\"http://tempuri.org/\">\n" +
+                "      <produceKey>161374</produceKey>\n" +
+                "    </GetNewProduceMission>\n" +
+                "  </soap:Body>\n" +
+                "</soap:Envelope>";
+        // ok
+//        JSONArray applyJa = soap2.parseApplyXML(soap2.callSoap(GetNewProduceMissionText));
+//        System.out.println("获取任务号:"+applyJa.size());
+//        for(int a=0;a<applyJa.size();a++){
+//            JSONObject applyJo = applyJa.getJSONObject(a);
+//            System.out.println(applyJo);
+//        }
+
+        // 返回任务已下载信息 ok
+        String setMissionHasDownloadText = "<soap:Envelope xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" xmlns:xsd=\"http://www.w3.org/2001/XMLSchema\" xmlns:soap=\"http://schemas.xmlsoap.org/soap/envelope/\">\n" +
+                "  <soap:Body>\n" +
+                "    <SetMissionHasDownload xmlns=\"http://tempuri.org/\">\n" +
+                "      <applyID>216765</applyID>\n" +
+                "    </SetMissionHasDownload>\n" +
+                "  </soap:Body>\n" +
+                "</soap:Envelope>";
+        //
+//        soap2.callSoap(setMissionHasDownloadText);
+
+        // 获取批次数据 ok
+        String getNewMissionPackageText = "<soap:Envelope xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" xmlns:xsd=\"http://www.w3.org/2001/XMLSchema\" xmlns:soap=\"http://schemas.xmlsoap.org/soap/envelope/\">\n" +
+                "  <soap:Body>\n" +
+                "    <GetNewMissionPackage xmlns=\"http://tempuri.org/\">\n" +
+                "      <applyID>216765</applyID>\n" +
+                "    </GetNewMissionPackage>\n" +
+                "  </soap:Body>\n" +
+                "</soap:Envelope>";
+        // 需要重置数据才能解析下载
+//        JSONArray earPackageJa = soap2.parsePackageXML(soap2.callSoap(getNewMissionPackageText));
+//        System.out.println("earPackageJa.size>>"+earPackageJa.size());
+//        for(int a=0;a<earPackageJa.size();a++){
+//                System.out.println((a+1)+", "+earPackageJa.getJSONObject(a));
+//        }
+
+        // 返回批次已下载 ok
+        String setPackagesHasDownloadText = "<soap:Envelope xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" xmlns:xsd=\"http://www.w3.org/2001/XMLSchema\" xmlns:soap=\"http://schemas.xmlsoap.org/soap/envelope/\">\n" +
+                "  <soap:Body>\n" +
+                "    <SetPackagesHasDownload xmlns=\"http://tempuri.org/\">\n" +
+                "      <packageIDs>\n" +
+                "        <int>119</int>\n" +
+                "        <int>120</int>\n" +
+                "      </packageIDs>\n" +
+                "    </SetPackagesHasDownload>\n" +
+                "  </soap:Body>\n" +
+                "</soap:Envelope>";
+        //
+//        soap2.callSoap(setPackagesHasDownloadText);
+
+        // 获取耳标数据 ok
+        String getNewMissionEarMarkText = "<soap:Envelope xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" xmlns:xsd=\"http://www.w3.org/2001/XMLSchema\" xmlns:soap=\"http://schemas.xmlsoap.org/soap/envelope/\">\n" +
+                "  <soap:Body>\n" +
+                "    <GetNewMissionEarMark xmlns=\"http://tempuri.org/\">\n" +
+                "      <applyID>216765</applyID>\n" +
+                "    </GetNewMissionEarMark>\n" +
+                "  </soap:Body>\n" +
+                "</soap:Envelope>";
+        // ok
+//        JSONArray earMarkJa = soap2.parseEarMarkXML(soap2.callSoap(getNewMissionEarMarkText));
+//        System.out.println("earMarkJa.size>>"+earMarkJa.size());
+//        for(int a=0;a<earMarkJa.size();a++){
+//                System.out.println((a+1)+", "+earMarkJa.getJSONObject(a));
+//        }
+
+        // 返回耳标已下载 ok
+        String setEarMarksHasDownLoadText = "<soap:Envelope xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" xmlns:xsd=\"http://www.w3.org/2001/XMLSchema\" xmlns:soap=\"http://schemas.xmlsoap.org/soap/envelope/\">\n" +
+                "  <soap:Body>\n" +
+                "    <SetEarMarksHasDownload xmlns=\"http://tempuri.org/\">\n" +
+                "      <earMarkIDs>\n" +
+                "        <long>9787182314</long>\n" +
+                "        <long>9787182315</long>\n" +
+                "      </earMarkIDs>\n" +
+                "    </SetEarMarksHasDownload>\n" +
+                "  </soap:Body>\n" +
+                "</soap:Envelope>";
+        // ok
+//        soap2.callSoap(setEarMarksHasDownLoadText);
+
+//        String uploadDataToWebServiceText = "<soap:Envelope xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" xmlns:xsd=\"http://www.w3.org/2001/XMLSchema\" xmlns:soap=\"http://schemas.xmlsoap.org/soap/envelope/\">\n" +
+//                "  <soap:Body>\n" +
+//                "    <UploadDataToWebService xmlns=\"http://tempuri.org/\">\n" +
+//                "      <uploadData>\n" +
+//                "        <xsd:schema>schema</xsd:schema>xml</uploadData>\n" +
+//                "    </UploadDataToWebService>\n" +
+//                "  </soap:Body>";
+
+        // 上传批次、耳标生产数据
+        // 1
+//        String uploadDataToWebServiceText = "<soap:Envelope xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" xmlns:xsd=\"http://www.w3.org/2001/XMLSchema\" xmlns:soap=\"http://schemas.xmlsoap.org/soap/envelope/\">\n" +
+//                "  <soap:Body>\n" +
+//                "    <UploadDataToWebService xmlns=\"http://tempuri.org/\">\n" +
+//                "      <uploadData>\n" +
+//                "           <applyID>216765</applyID>" +
+//                "           <packageID>119</packageID>" +
+//                "           <produceDate>2021-10-22</produceDate>" +
+//                "           <produceLineID>001</produceLineID>" +
+//                "           <earMarkID>9787182314</earMarkID>" +
+//                "        </uploadData>\n" +
+//                "    </UploadDataToWebService>\n" +
+//                "  </soap:Body>\n"+
+//                "</soap:Envelope>";
+        // 2
+        String uploadDataToWebServiceText = "<soap:Envelope xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" xmlns:xsd=\"http://www.w3.org/2001/XMLSchema\" xmlns:soap=\"http://schemas.xmlsoap.org/soap/envelope/\">\n" +
+                "  <soap:Body>\n" +
+                "    <UploadDataToWebService xmlns=\"http://tempuri.org/\">\n" +
+//                "         <uploadData>\n" +
+                "       <Package id='119'>\n" +
+                "           <applyID>216765</applyID>\n" +
+                "           <packageID>119</packageID>\n" +
+                "           <produceDate>2021-10-22 10:10:10.000</produceDate>\n" +
+                "           <produceLineID>1</produceLineID>\n" +
+                "           <earMarkID>9787182314</earMarkID>\n" +
+                "       </Package>\n" +
+//                "         </uploadData>\n" +
+                "    </UploadDataToWebService>\n" +
+                "  </soap:Body>\n" +
+                "</soap:Envelope>";
+        //
+        soap2.callSoap(uploadDataToWebServiceText);
+
+//        JSONArray earMarkJa = soap2.parseEarMarkXML(soap2.callSoap(uploadDataToWebServiceText));
+//        System.out.println("earMarkJa.size>>"+earMarkJa.size());
+
+
+        // 上传装箱信息数据
+
+        // 上传箱发货信息
+
+        // 获取服务器时间 ok
+        String getServerDateTimeText = "<soap:Envelope xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" xmlns:xsd=\"http://www.w3.org/2001/XMLSchema\" xmlns:soap=\"http://schemas.xmlsoap.org/soap/envelope/\">\n" +
+                "  <soap:Body>\n" +
+                "    <GetServerDateTime xmlns=\"http://tempuri.org/\" />\n" +
+                "  </soap:Body>\n" +
+                "</soap:Envelope>";
+//        callSoap(getServerDateTimeText);
+    }
+
+    // 解析获取任务号 ok
+    private JSONArray parseApplyXML(String xml) {
+        Document doc = null;
+        try {
+            doc = DocumentHelper.parseText(xml); // 将字符串转为XML
+            Element rootElt = doc.getRootElement(); // 获取根节点
+//            System.out.println("根节点:" + rootElt.getName()); // 拿到根节点的名称
+
+            Iterator iter = rootElt.elementIterator("Body"); // 获取根节点下的子节点 Body
+            Element recordEle = (Element) iter.next();
+
+            Iterator iter2 = recordEle.elementIterator("GetNewProduceMissionResponse");
+            Element recordEle2 = (Element) iter2.next();
+
+            Iterator GetNewMissionEarMarkResultIter = recordEle2.elementIterator("GetNewProduceMissionResult");
+            Element GetNewMissionEarMarkResultIterEle = (Element) GetNewMissionEarMarkResultIter.next();
+
+//            Iterator schemaIter = GetNewMissionEarMarkResultIterEle.elementIterator("schema");
+//            Element schemaEle = (Element) schemaIter.next();
+            Iterator diffgramIter = GetNewMissionEarMarkResultIterEle.elementIterator("diffgram");
+            Element diffgramEle = (Element) diffgramIter.next();
+
+            Iterator newDataSetIter = diffgramEle.elementIterator("NewDataSet");
+            Element newDataSetChildEle = (Element) newDataSetIter.next();
+
+            Iterator missionIter = newDataSetChildEle.elementIterator("Mission");
+            System.out.println("missionIter.hasNext()>>"+missionIter.hasNext());
+            // 所有数据
+            JSONArray allDataJa = new JSONArray();
+
+            while (missionIter.hasNext()) {
+                JSONObject earMarkJo = new JSONObject();
+                allDataJa.add(earMarkJo);
+                Element earMarkIterEle = (Element) missionIter.next();
+                earMarkJo.put("ApplyID",earMarkIterEle.elementTextTrim("ApplyID"));
+                earMarkJo.put("org_id",earMarkIterEle.elementTextTrim("org_id"));
+                earMarkJo.put("org_name",earMarkIterEle.elementTextTrim("org_name"));
+                earMarkJo.put("org_address",earMarkIterEle.elementTextTrim("org_address"));
+                earMarkJo.put("org_linkman",earMarkIterEle.elementTextTrim("org_linkman"));
+                earMarkJo.put("postcode",earMarkIterEle.elementTextTrim("postcode"));
+                earMarkJo.put("org_tel",earMarkIterEle.elementTextTrim("org_tel"));
+                earMarkJo.put("AssignedDate",earMarkIterEle.elementTextTrim("AssignedDate"));
+                earMarkJo.put("EarMarkAmount",earMarkIterEle.elementTextTrim("EarMarkAmount"));
+                earMarkJo.put("RealEarMarkAmount",earMarkIterEle.elementTextTrim("RealEarMarkAmount"));
+                earMarkJo.put("MissionProcessor",earMarkIterEle.elementTextTrim("MissionProcessor"));
+                earMarkJo.put("ConsignmentDate",earMarkIterEle.elementTextTrim("ConsignmentDate"));
+                earMarkJo.put("ApplyRegionName",earMarkIterEle.elementTextTrim("ApplyRegionName"));
+                earMarkJo.put("AnimalType",earMarkIterEle.elementTextTrim("AnimalType"));
+                earMarkJo.put("AnimalTypeName",earMarkIterEle.elementTextTrim("AnimalTypeName"));
+            }
+            return allDataJa;
+        } catch (DocumentException e) {
+            e.printStackTrace();
+            return null;
+        } catch (Exception e) {
+            e.printStackTrace();
+            return null;
+        }
+    }
+
+    //
+    private JSONArray parsePackageXML(String xml) {
+        JSONArray packageJa = new JSONArray();
+
+
+        return packageJa;
+    }
+
+    //解析EarMark
+    public JSONArray parseEarMarkXML(String xml){
+        Document doc = null;
+        try {
+            doc = DocumentHelper.parseText(xml); // 将字符串转为XML
+            Element rootElt = doc.getRootElement(); // 获取根节点
+//            System.out.println("根节点:" + rootElt.getName()); // 拿到根节点的名称
+
+            Iterator iter = rootElt.elementIterator("Body"); // 获取根节点下的子节点 Body
+//            System.out.println("iter.hasNext:"+iter.hasNext());
+            Element recordEle = (Element) iter.next();
+//            System.out.println("name="+recordEle.getName());
+
+            Iterator iter2 = recordEle.elementIterator("GetNewMissionEarMarkResponse");
+//            System.out.println("iter2.hasNext:"+iter2.hasNext());
+            Element recordEle2 = (Element) iter2.next();
+//            System.out.println("name="+recordEle2.getName());
+
+            Iterator GetNewMissionEarMarkResultIter = recordEle2.elementIterator("GetNewMissionEarMarkResult");
+//            System.out.println("GetNewMissionEarMarkResultIter.hasNext:"+GetNewMissionEarMarkResultIter.hasNext());
+            Element GetNewMissionEarMarkResultIterEle = (Element) GetNewMissionEarMarkResultIter.next();
+//            System.out.println("name="+GetNewMissionEarMarkResultIterEle.getName());
+
+            Iterator schemaIter = GetNewMissionEarMarkResultIterEle.elementIterator("schema");
+//            System.out.println("schemaIter.hasNext:"+schemaIter.hasNext());
+            Element schemaEle = (Element) schemaIter.next();
+//            System.out.println("name="+schemaEle.getName());
+            Iterator diffgramIter = GetNewMissionEarMarkResultIterEle.elementIterator("diffgram");
+//            System.out.println("diffgramIter.hasNext:"+diffgramIter.hasNext());
+            Element diffgramEle = (Element) diffgramIter.next();
+//            System.out.println("name="+diffgramEle.getName());
+
+            Iterator newDataSetIter = diffgramEle.elementIterator("NewDataSet");
+//            System.out.println("newDataSetIter.hasNext:"+newDataSetIter.hasNext());
+            Element newDataSetChildEle = (Element) newDataSetIter.next();
+//            System.out.println("name="+newDataSetChildEle.getName());
+
+            Iterator earMarkIter = newDataSetChildEle.elementIterator("EarMark");
+//            System.out.println("newDataSetIter.hasNext:"+newDataSetIter.hasNext());
+            // 所有数据
+            JSONArray allDataJa = new JSONArray();
+
+            while (earMarkIter.hasNext()) {
+                JSONObject earMarkJo = new JSONObject();
+                allDataJa.add(earMarkJo);
+                Element earMarkIterEle = (Element) earMarkIter.next();
+                earMarkJo.put("EarMarkID",earMarkIterEle.elementTextTrim("EarMarkID"));
+                earMarkJo.put("PackageID",earMarkIterEle.elementTextTrim("PackageID"));
+                earMarkJo.put("EarMarkNumber",earMarkIterEle.elementTextTrim("EarMarkNumber"));
+                earMarkJo.put("ApplyID",earMarkIterEle.elementTextTrim("ApplyID"));
+                earMarkJo.put("EarMarkData",earMarkIterEle.elementTextTrim("EarMarkData"));
+
+//                Iterator earMarkIDIter = earMarkIterEle.elementIterator("EarMarkID");
+//                Element earMarkIDEle = (Element) earMarkIDIter.next();
+//                System.out.println("EarMarkID="+earMarkIDEle.getText());
+//                earMarkJo.put("EarMarkID",earMarkIDEle.getText());
+//
+
+//                Iterator packageIDIter = earMarkIterEle.elementIterator("PackageID");
+//                Element packageIDEle = (Element) packageIDIter.next();
+//                System.out.println("PackageID="+packageIDEle.getText());
+//                earMarkJo.put("PackageID",packageIDEle.getText());
+
+//                Iterator earMarkNumberIter = earMarkIterEle.elementIterator("EarMarkNumber");
+//                Element earMarkNumberEle = (Element) earMarkNumberIter.next();
+//                System.out.println("EarMarkNumber="+earMarkNumberEle.getText());
+//                earMarkJo.put("EarMarkNumber",earMarkNumberEle.getText());
+
+//                Iterator applyIDIter = earMarkIterEle.elementIterator("ApplyID");
+//                Element applyIDEle = (Element) applyIDIter.next();
+//                System.out.println("ApplyID="+applyIDEle.getText());
+//                earMarkJo.put("ApplyID",applyIDEle.getText());
+
+//                Iterator earMarkDataIter = earMarkIterEle.elementIterator("EarMarkData");
+//                Element earMarkDataEle = (Element) earMarkDataIter.next();
+//                System.out.println("EarMarkData="+earMarkDataEle.getText());
+//                earMarkJo.put("EarMarkData",earMarkDataEle.getText());
+//                System.out.println("");
+            }
+//            System.out.println("2 allDataJa.size>>"+allDataJa.size());
+//            for(int a=0;a<allDataJa.size();a++){
+//                System.out.println((a+1)+" "+allDataJa.getJSONObject(a));
+//            }
+            return allDataJa;
+        } catch (DocumentException e) {
+            e.printStackTrace();
+            return null;
+        } catch (Exception e) {
+            e.printStackTrace();
+            return null;
+        }
+
+    }
+
+
+    public String callSoap(String text) throws UnsupportedEncodingException {
+        String str = new String(text.getBytes(), "UTF-8");
+        System.out.println(str);
+        HttpClient httpClient = new HttpClient();
+        httpClient.getParams().setParameter(HttpConnectionParams.CONNECTION_TIMEOUT, 3000);
+        httpClient.getParams().setParameter(HttpConnectionParams.SO_TIMEOUT, 1000);
+        PostMethod post = new PostMethod(url);
+        post.setRequestHeader("Content-Type", "text/xml;charset=utf-8");
+        RequestEntity re = new InputStreamRequestEntity(new ByteArrayInputStream(str.getBytes()));
+        post.setRequestEntity(re);
+        BufferedReader in = null;
+        try {
+            int status = httpClient.executeMethod(post);
+            System.out.println("返回状态码>>"+status);
+            if (status == 200) {
+                System.out.println("返回数据成功.");
+                InputStream io = post.getResponseBodyAsStream();
+                InputStreamReader is = new InputStreamReader(io, "UTF-8");
+                in = new BufferedReader(is);
+                String inputLine;
+                StringBuilder result = new StringBuilder();
+                while ((inputLine = in.readLine()) != null) {
+                    result.append(inputLine);
+                }
+                String a = result.toString().replace("&lt;", "<").replace("&gt;", ">");
+                System.out.println("返回下面的数据>>");
+                System.out.println(a);
+                return a;
+            } else {
+                System.out.println("调用接口失败");
+                System.out.println(post.getResponseBodyAsString());
+                return null;
+            }
+
+        } catch (IOException e) {
+            e.printStackTrace();
+            return null;
+        } finally {
+            if (in != null) {
+                try {
+                    in.close();
+                } catch (IOException e) {
+                    // TODO Auto-generated catch block
+                    e.printStackTrace();
+                    return null;
+                }
+            }
+            post.releaseConnection();
+            httpClient.getHttpConnectionManager().closeIdleConnections(0);
+        }
+    }
+
+}

+ 6 - 0
huimv-manage/src/main/resources/application-dev.yml

@@ -0,0 +1,6 @@
+server:
+  port: 8991
+
+spring:
+  application:
+    name: gov_eartag

+ 1 - 0
huimv-manage/src/main/resources/application.properties

@@ -0,0 +1 @@
+spring.profiles.active=dev

+ 13 - 0
huimv-manage/src/test/java/com/huimv/manage/ManageApplicationTests.java

@@ -0,0 +1,13 @@
+package com.huimv.manage;
+
+import org.junit.jupiter.api.Test;
+import org.springframework.boot.test.context.SpringBootTest;
+
+@SpringBootTest
+class ManageApplicationTests {
+
+    @Test
+    void contextLoads() {
+    }
+
+}